Subject: Re: bug#16602: 24.3.50; gnutls sometimes errors out

From: Ted Zlatanov <[email-masked]>
Date: Mon, 10 Feb 2014 05:54:17 -0500

On Sun, 09 Feb 2014 19:14:11 -0800 Lars Ingebrigtsen <[email-masked]> wrote: 

LI> Ted Zlatanov <[email-masked]> writes:
>> I'm not aware of anything that could be causing this.  I've definitely
>> not changed anything recently in the GnuTLS integration code.
>> 
>> As a first step, I would check with `gnutls-cli' whether the same
>> invocation has a similar problem.

LI> Doesn't seem to be.  I repeated the following ten times, and I got the
LI> output below each time.

LI> Hm.  If I set `gnutls-log-level' to 10, then everything works fine, too?
LI> Sounds kinda timing-related...

Could be, and I hate those "subtle" bugs.

LI> Oh, and now I'm unable to reproduce the problem with a log level of 0.

OK, let's see if it reappears.  Give it a few days.

Ted